// MyExit.java

import swarm.Globals;

/** 
 * A static class used to stop execution before System.exit(1) code,
 * to avoid the "Unable to register TclNotifier window class" error 
 * in W2000 and XP
 *
 * @author Pietro Terna
 */
public class MyExit
{
    public static void exit(int i)
    {
	System.out.println("\nPres Quit to exit.");
	StartESFrame.eSFrameObserverSwarm.
	 getControlPanel().setStateStopped();
	System.exit(i); // left here also if seemingly unused (pressing the Quit
	                // button we pass over this line), to avoid error messages when
                        // an error status arises
    }

}
